Skip to Content
SeyloDocs
API referenceSign-in and account

Check a GitHub link

POST
/api/v1/auth.githubLinkPoll

Polls the device flow started by auth.githubLinkStart. With status done the GitHub login is linked. CONFLICT when that login belongs to someone else.

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
ticket*string
Length1 <= length <= 200

Response Body

Success.

application/json
  1. response
status*string|string|string|string|string
intervalSeconds*integer
Range1 <= value
login?string
Example Request
curl -X POST 'https://example.com/api/v1/auth.githubLinkPoll' \  -H 'Content-Type: application/json' \  -d '{  "ticket": "string"}'
Example Response
{  "status": "pending",  "intervalSeconds": 1,  "login": "string"}